// printfvw.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPrintfView view

class CPrintfView : public CEditView
{
protected:
	CPrintfView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CPrintfView)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPrintfView)
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CPrintfView();
    virtual void Print(const char* pszFormat, ...);
    virtual void Clear();

    int m_iCurrentLine;
    CFont m_font;

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CPrintfView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
